<?php

namespace App\Models;

use App\Models\FinishedContracts;
use App\Models\CurrentContracts;
use App\Models\Payments;
use Illuminate\Database\Eloquent\Model;

class Status extends Model
{
    //
    protected $fillable = [
        'name',
    ];

    public $timestamps = false;

    public function currentcontracts()
    {
        return $this->hasMany(CurrentContracts::class);
    }

    public function finishedcontracts()
    {
        return $this->hasMany(FinishedContracts::class);
    }
    public function payments()
    {
        return $this->hasMany(Payments::class);
    }
}
